class CRipper extends Ripper;

simulated function PlayFiring()
{
   LoopAnim( 'Fire', 3.4 + 0.6 * FireAdjust, 0.05 );
   PlayOwnedSound(class'Razor2'.Default.SpawnSound, SLOT_None,4.2);
}


defaultproperties
{
     WeaponDescription="Classification: Ballistic Blade Launcher\n\nPrimary Fire: Razor sharp titanium disks are launched at a medium rate of speed. Shots will ricochet off of any surfaces.\n\nSecondary Fire: Explosive disks are launched at a slow rate of fire.\n\nTechniques: Aim for the necks of your opponents."
     InstFlash=-0.300000
     InstFog=(X=400.000000,Y=200.000000)
     AmmoName=Class'Botpack.BladeHopper'
     PickupAmmoCount=15
     bSplashDamage=True
     bRecommendAltSplashDamage=True
     bRapidFire=True
     FiringSpeed=6.000000
     FireOffset=(Y=-15.000000,Z=-13.000000)
     ProjectileClass=Class'Botpack.Razor2'
     AltProjectileClass=Class'Botpack.Razor2Alt'
     shakemag=120.000000
     AIRating=0.500000
     RefireRate=6.000000
     AltRefireRate=0.830000
     SelectSound=Sound'UnrealI.Razorjack.beam'
     DeathMessage="%k ripped a chunk of meat out of %o with the %w."
     NameColor=(R=0)
     AutoSwitchPriority=6
     InventoryGroup=6
     PickupMessage="You got the CRipper."
     ItemName="CRipper"
     PlayerViewOffset=(X=3.000000,Y=-1.600000,Z=-2.400000)
     PlayerViewMesh=LodMesh'Botpack.Razor2'
     PlayerViewScale=1.400000
     BobDamping=0.975000
     PickupViewMesh=LodMesh'Botpack.RazPick2'
     ThirdPersonMesh=LodMesh'Botpack.Razor3rd2'
     StatusIcon=Texture'Botpack.Icons.UseRazor'
     PickupSound=Sound'UnrealShare.Pickups.WeaponPickup'
     Icon=Texture'Botpack.Icons.UseRazor'
     Mesh=LodMesh'Botpack.RazPick2'
     bNoSmooth=False
     CollisionRadius=34.000000
     CollisionHeight=7.000000
     Mass=50.000000
}
